Gramps 4.1.0 released

The Gramps team releases version 4.1.0, the “Name go in book“.

This is a new major release.
Don’t upgrade before verifying your system can run it.

New features on 4.1.x branch:

  • GEP 006: Better Place handling
  • New Tags support on Event, Place, Repository, Source, and Citation
  • Source/Citation Data becomes Attributes
  • Add optional support for checksum on Media object
  • New place hierarchies model
  • By default, you can choose navigator modes with a drop down.
  • New Place editor
  • Enhanced MediaReference Editor
  • Some debug tools move to new gramplets
  • Full Python 3 support
  • New functions and widgets related to Place and Media selections
  • Enhancements on to_struct()
  • New methods on Date handlers
  • Better support on translation for inflection rules
See the Changelog for more details.
You can get Gramps 4.1.0 from the download page.


  • jack

    I just started working on my family tree and I really appreciate all the work you guys have put into this software. Should we expect the new 4.1+ versions to be rolled out on Windows? I’m starting to think I’ll need to run ubuntu again… currently not enough room on my small drive to install it with windows 7. In the mean time I’m using the 3.4.8 version (unless you tell me 4.0.4 is a better place to be). I’m looking forward to the day I’ll be able to print or publish online a tree for the rest of my very large French Canadian family to enjoy. That is if it’s even physically possible to print a tree with some branches likely going to 16-20 generations. You guys are awesome!

  • Charlie H Zuck

    My virus program, Avast, will not let the newest Gramps completely download, so I cannot install it. Below is the warning I get.
    Infekce zablokována
    URL hxxp://|$INSTDIR\bin\gtk3-widget-factory.exe
    Infection Win32:Evo-gen [Susp]

  • Pjwk

    Can, please, someone link to/tell the system requirements of this release?

  • bcallens

    I have the same problem…


  • Charlie H Zuck

    Is there any way to remove partner 1 and partner 2 in the marriage form?

  • Jack Horner

    I am a new and relatively unsophisticated user of Linux. I have Ubuntu 12.4 LTS installed on an Inspiron 1520, configured as follows:Intel® Core™2 Duo CPU T5750 @ 2.00GHz × 2, Memory 2.9 GiB, OS type 32-bit, Disk 187.9 GB. Will this thing work for me? I have been using in XP and am trying to switch entirely to Linux. To start with, all I want to do is make a family tree with pictures and I have assembled all the raw data researching it through Ancestry.

  • Jeremiah

    You changed the way places are build up. WHY???
    Now my streets are parishes, countries are all kinds of locations, etc.

  • kim Midtgaard

    Is there any chance that there will be a 64-bit win version of gramps 4.x.x in the future releases, or do I have to keep using version 3.x.x ??????

    I’m not going back to using 32-bit, when all software on my systems are 64-bit.

  • Richard

    Gramps 4.1.0 seems to be disassociating people in my database, leaving them hanging without any connection to others in the database. It could be a result of updating/changing/fixing information in the locations. I am hoping a 4.1.1 comes out that fixes this little bug.

  • Rhian

    The way places are handled seemed confusing at first, but it does seem to make sense more as I look at it.

    The biggest problem is the way that places were converted, about 60% of my places have no name and are classified as Province, this includes parish churches, hospitals, New York city as well as towns and cities that have complete state and country details. Most places have an incorrect Enclosed by entries often listing another town sometimes a town in another country.

    It looks like my work for the next few weeks is sorting the mess out, but it might have been an idea to post a warning before upgrading, the same as the message about making a backup before changing the file formatting.

  • Dan Tokar

    Jack Horner:
    Gramps should work for you. It is already to be installed in your Ubuntu software. Go to the Ubuntu Software Center and put “Gramps” in the search block in the upper right. Once it pops up you can go from there.

  • Roger Abrahamsson

    One thing I have noted after using 4.1 on windows for a while now, is that any gramplets filter output is empty. Any idea how to fix this?

  • Robert

    Will Gramps 4.1.0 work with Ubuntu 12.04 LTS (32bit)?

Join the Conversation!